For the complete documentation index, see llms.txt. This page is also available as Markdown.

Infographics

Infographic assets generated per token

Get infographics

get

Returns paginated infographics created by the authenticated token, including in-progress requests (default 20 per page, max 100).

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Query parameters
pageinteger ยท min: 1Optional

Page number (default 1)

pageSizeinteger ยท min: 1 ยท max: 100Optional

Items per page (default 20, max 100)

Responses
200

Paginated list of infographics

application/json
totalCountintegerOptional
pageintegerOptional
pageSizeintegerOptional
totalPagesintegerOptional
get/infographics/get
GET /infographics/get HTTP/1.1
Host: api.autocontentapi.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "items": [
    {
      "id": "text",
      "imageUrl": "https://example.com",
      "title": "text",
      "status": 1,
      "createdOn": "2026-01-01T00:00:00.000Z"
    }
  ],
  "totalCount": 1,
  "page": 1,
  "pageSize": 1,
  "totalPages": 1
}

Download infographic

get

Streams the generated infographic image for the authenticated token.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
infographicIdstringRequired

Infographic request identifier

Responses
200

Binary infographic image stream

application/octet-stream
string ยท binaryOptional
get/infographics/{infographicId}/download
GET /infographics/{infographicId}/download HTTP/1.1
Host: api.autocontentapi.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
binary

Last updated